* {
    margin: 0;
    padding: 0;
}

body {
    background-color: whitesmoke;
    font-family: 'Inter', sans-serif;
    text-align: center;
}

.field, .info {
    width: 50%;
    height: 100vh - 30px;
    margin-top: 30px;
}

/* FIELD */

.field {
    white-space: nowrap;
    float: left;
    font-size: 0;
    user-select: none;
}

.field button { 
    background-color: rgb(29, 153, 255);
    color: white;
    border: 1px solid white;
    user-select: none;
    cursor: pointer;
    transition: opacity 0.1s;
}

.field button.number {
    font-size: 32px;
    height: 45px;
    width: 45px;
}

.field button.number:not(.selected) {
    opacity: .55;
}

.field button.number:not(.selected):hover {
    opacity: .8;
}


.field button.row {
    vertical-align: top;
    font-size: 26px;
    height: 45px;
    width: 80px;
    opacity: .8;
}

.field button:not(.number):hover {
    opacity: 1;
}


.field button.coluwn {
    font-size: 26px;
    opacity: .8;
    height: 65px;
    width: 45px;
    writing-mode: vertical-rl;
}

#mode {
    background-color: #0cab7e;
    vertical-align: top;
    font-size: 20px;
    line-height: 1.2;
    opacity: .8;
    height: 65px;
    width: 80px;
    white-space: wrap;
}

#mode.delete {
    background-color: #ff0000;
}

#mode:hover {
    opacity: 1;
}


.field .bottom-buttons {
    display: inline-block;
}

.field .bottom-buttons-el {
    width: 450px;
    display: flex;
    margin: 0 auto;
}

.field button.bottom {
    flex: 1;
    font-size: 18px;
    opacity: .8;
    height: 35px;
}

#clear {
    vertical-align: top;
    font-size: 17px;
    background-color: #959595;
    width: 80px;
}

/* INFO */

.info {
    float: right;
}

.info h1 {
    font-size: 150px;
    height: 160px;
}

.info h2 {
    font-size: 40px;
    margin-bottom: 15px;
}

.info label {
    font-size: 20px;
}

.info input {
    margin: 2px;
    font-size: 20px;
    background: none;
    border: none;
    border-bottom: 1px solid;
    outline: none;
    width: 80px;
}

.play {
    margin: 20px;
    padding: 6px 15px;
    border: none;
    border-radius: 8px;
    font-size: 46px;
    cursor: pointer;
    background: #3294f0;
    color: #ffffff;
    font-weight: 600;
    transition: transform .05s ease, box-shadow 0.3s, opacity 0.1s;
}

.play:disabled {
    cursor: not-allowed;
    opacity: .5;
}

.play:not(:disabled):hover {
    transform: scale(1.05);
    box-shadow: 0 10px 25px rgba(0,0,0,0.25);
}

.play:not(:disabled):active {
    transform: scale(.9);
}

footer {
    display: none;
    color: #787878;
    text-align: center;
    padding: 50px;
    font-size: 14px;
    opacity: 0.8;
}

@media (max-width: 900px) {
    .field, .info {
        float: none;
    }

    .field {
        width: 530px;
        margin: 5px auto; 
    }

    .info {
        margin: 0 auto;
    }

    footer {
        display: block;
    }
}